unit MTDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, OleCtnrs;

type
  TAboutMT = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    OKButton: TButton;
    Author: TLabel;
    Label1: TLabel;
    Memo1: TMemo;
    OleContainer1: TOleContainer;
    procedure OKButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutMT: TAboutMT;

implementation

uses
  GlobalUnit;

{$R *.DFM}

procedure TAboutMT.OKButtonClick(Sender: TObject);
begin
  Self.Release;
end;

procedure TAboutMT.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Self.Release;
end;

procedure TAboutMT.FormCreate(Sender: TObject);
var
  cHt,cWd: string;
begin
  cHt    := GlobalUnit.GetLastSetting('ABOUTMT','HEIGHT');
  cWd    := GlobalUnit.GetLastSetting('ABOUTMT','WIDTH');
  if (cHt <> '') then Height := StrToInt(cHt);
  if (cWd <> '') then Width  := StrToInt(cWd);
end;

procedure TAboutMT.FormResize(Sender: TObject);
var cHt,cWd: string;
begin
  cHt := IntToStr(Height);
  GlobalUnit.SaveLastSetting('ABOUTMT','HEIGHT',cHt);
  cWd := IntToStr(Width);
  GlobalUnit.SaveLastSetting('ABOUTMT','WIDTH',cWd);
end;

end.
 
